;*****  Listing 7 ************ TIMER.INC *****
; equates for timer.asm 
;
; Copyright per Listing 1


timer_0    equ    40h  ; channel 0 I/O address
timer_1    equ    41h  ; channel 1 I/O address
timer_2    equ    42h  ; channel 2 I/O address
timer_cwd  equ    43h  ; 8254 Control Word (see below)

; combine one item from each list with "OR" for control words

binary        equ   00h     ; binary or bcd count
bcd           equ   01h

latch_cnt     equ   00h  ; latch both for read, MSB first
addr_hi       equ   20h  ; read/write only high byte
addr_lo       equ   10h  ; read/write only low byte
addr_both     equ   30h  ; read/write LSB then MSB

counter_0     equ   00h  ; channel 0
counter_1     equ   40h  ; channel 1
counter_2     equ   80h  ; channel 2

game_port     equ  201h ; game port control word, see Fig. 6
game_timeout  equ  4ffh ; maximum number of retries for timeout